Subject: Re: bug#24985: Add missing provide statements

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Nov 2016 12:27:26 +0200

> From: Philippe Vaucher <[email-masked]>
> Date: Tue, 22 Nov 2016 14:58:19 +0100
> Cc: [email-masked]
> 
>  > (defalias 'toggle-auto-composition 'auto-composition-mode)
>  >
>  > +(provide 'auto-composition-mode)
> 
>  Why that? I would expect (provide 'composite) here.
> 
> I thought that the most interesting thing in composite was auto-composition-mode... same reasoning for
> replace.el which provided 'occur in my first patch.
> 
> Anyway, you're right, it's not very consistent. Here attached is a new patch that simply follows the file name.

Thanks, pushed to master.

In the future, please start each sentence in the log entry with a
capital letter, and end it with a period.  Here's how I reformatted
your log message:

* lisp/composite.el:
* lisp/replace.el:
* lisp/textmodes/text-mode.el: Add provide statement.